C     Programa de estilo primitivo 

      implicit real*8 (a-h,o-z)
      parameter(MX=1000)
      dimension v(MX)

    1 write(6,100) ' Introduce el numero de componentes: '
  100   format(/a,$)
        read(5,*) n
      if (n.lt.1.or.n.gt.MX) goto 1

      call Generar(n,v)
      call Alterar(n,v)
      call Imprimir(n,v)

      read(5,'()')
      call exit(0)

      end
